Package org.eclipse.net4j.jvm

# Interface IJVMChannel

All Superinterfaces:
  `org.eclipse.net4j.util.collection.Closeable`, `IBufferHandler`, `IChannel`, `ILocationAware`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.security.IUserAware`

public interface IJVMChannel extends IChannel
A `channel` of a `JVM connector`.

Since:
  4.1
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

`ILocationAware.Location`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`IJVMChannel`
`getPeer()`

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler

`handleBuffer`

### Methods inherited from interface org.eclipse.net4j.channel.IChannel

`getID, getMultiplexer, getReceivedBuffers, getReceivedBytes, getReceiveHandler, getSentBuffers, getSentBytes, sendBuffer, setReceiveHandler`

### Methods inherited from interface org.eclipse.net4j.ILocationAware

`getLocation, isClient, isServer`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Method Details

### getPeer

IJVMChannel getPeer()